快速解决导入项目和Android Studio当前版本不匹配问题

很多同学出现这样的问题,在导入我的项目的时候会同步失败,原因是Android Studio的版本比较低,需要升级到3.6及以上,因为我的Android Studio就是3.6.1,所有项目都是这个版本写的,所以你的版本必须比我这个高才可以导入。
快速解决导入项目和Android Studio当前版本不匹配问题
报错信息如下:

ERROR: This version of Android Studio cannot open this project,  please retry with Android Studio 3.6 or newer. 
解决方法

1、点击Help——>Check for Updates
快速解决导入项目和Android Studio当前版本不匹配问题
2、然后查看到目前最新版本,选择Update and Restart(更新并重启)即可。
快速解决导入项目和Android Studio当前版本不匹配问题
3、升级完成后出现以下对话框,意思是:下面这个目录是用不到的旧版本配置目录,请选择你想要安全删除的目录。直接勾选上然后删除就行。
快速解决导入项目和Android Studio当前版本不匹配问题
4、进入Android Studio,等待加载完成,出现如下界面,不需要去更新右下角的插件和gradle版本
快速解决导入项目和Android Studio当前版本不匹配问题
5、这时候我们发现我们的项目可以成功打开。
快速解决导入项目和Android Studio当前版本不匹配问题
6、我们打开模拟器运行,发现可以运行成功。
快速解决导入项目和Android Studio当前版本不匹配问题

不用太乖 ,不想做的事可以拒绝 ,做不到的事不要勉强 ,不喜欢的话假装没听见,你的人生不是用来讨好别人,而是善待自己。

版权声明:玥玥 发表于 2021-06-04 4:33:05。
转载请注明:快速解决导入项目和Android Studio当前版本不匹配问题 | 女黑客导航